curl --request PATCH \
--url https://api.paywise.de/v1/mandates/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"archived": true
}
'{
"href": "<string>",
"debtor": {
"name": "<string>"
},
"legal_stage": "extrajudicial",
"processing_state": "in_progress",
"payment_state": "unpaid",
"legal_claim_balance": {
"balance_of_costs_interest_bearing": {
"value": "<string>",
"currency": "EUR"
},
"balance_of_costs_interest_free": {
"value": "<string>",
"currency": "EUR"
},
"balance_of_interest_on_costs": {
"value": "<string>",
"currency": "EUR"
},
"balance_of_interest_on_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"balance_of_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"total_balance": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_costs_interest_bearing": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_costs_interest_free": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_interest_on_costs": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_interest_on_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"total_legal_claim": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_costs_interest_bearing": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_costs_interest_free": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_interest_on_costs": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_interest_on_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"total_payment": {
"value": "<string>",
"currency": "EUR"
},
"updated": "2023-11-07T05:31:56Z"
},
"total_mandate_amount": {
"value": "<string>",
"currency": "EUR"
},
"status_updates": [
{
"title": "<string>",
"description": "<string>",
"legal_stage": "extrajudicial",
"processing_state": "in_progress",
"created": "2023-11-07T05:31:56Z",
"downloads": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mime_type": "<string>",
"file_size": 123,
"download_url": "<string>"
}
],
"id": "<string>"
}
],
"requests_to_client_summary": {
"total_count": "<string>",
"unanswered_count": "<string>",
"has_pending": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"href": "<string>",
"title": "<string>",
"description_short": "<string>",
"answered": true,
"allowed_answer_types": "<string>",
"created": "2023-11-07T05:31:56Z",
"answered_at": "2023-11-07T05:31:56Z"
}
]
},
"archived": true,
"created": "2023-11-07T05:31:56Z",
"id": "<string>",
"reference_number": "<string>",
"further_reference_numbers": [
"<string>"
],
"claims": [
{
"href": "<string>",
"id": "<string>",
"payments": [
{
"href": "<string>",
"id": "<string>"
}
]
}
]
}Set mandate’s archived status by modifying it’s field archived.
Mandates that are archived, are displayed under their own category in the mandates list view in the webinterface.
Changing this property does not affect any business logic on our side. This means, that archiving a running mandate will not stop us from further processing it. Unarchiving on the other hand will not re-activate a closed mandate.
curl --request PATCH \
--url https://api.paywise.de/v1/mandates/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"archived": true
}
'{
"href": "<string>",
"debtor": {
"name": "<string>"
},
"legal_stage": "extrajudicial",
"processing_state": "in_progress",
"payment_state": "unpaid",
"legal_claim_balance": {
"balance_of_costs_interest_bearing": {
"value": "<string>",
"currency": "EUR"
},
"balance_of_costs_interest_free": {
"value": "<string>",
"currency": "EUR"
},
"balance_of_interest_on_costs": {
"value": "<string>",
"currency": "EUR"
},
"balance_of_interest_on_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"balance_of_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"total_balance": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_costs_interest_bearing": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_costs_interest_free": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_interest_on_costs": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_interest_on_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"total_legal_claim": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_costs_interest_bearing": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_costs_interest_free": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_interest_on_costs": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_interest_on_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"total_payment": {
"value": "<string>",
"currency": "EUR"
},
"updated": "2023-11-07T05:31:56Z"
},
"total_mandate_amount": {
"value": "<string>",
"currency": "EUR"
},
"status_updates": [
{
"title": "<string>",
"description": "<string>",
"legal_stage": "extrajudicial",
"processing_state": "in_progress",
"created": "2023-11-07T05:31:56Z",
"downloads": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mime_type": "<string>",
"file_size": 123,
"download_url": "<string>"
}
],
"id": "<string>"
}
],
"requests_to_client_summary": {
"total_count": "<string>",
"unanswered_count": "<string>",
"has_pending": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"href": "<string>",
"title": "<string>",
"description_short": "<string>",
"answered": true,
"allowed_answer_types": "<string>",
"created": "2023-11-07T05:31:56Z",
"answered_at": "2023-11-07T05:31:56Z"
}
]
},
"archived": true,
"created": "2023-11-07T05:31:56Z",
"id": "<string>",
"reference_number": "<string>",
"further_reference_numbers": [
"<string>"
],
"claims": [
{
"href": "<string>",
"id": "<string>",
"payments": [
{
"href": "<string>",
"id": "<string>"
}
]
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
extrajudicial - Außergerichtlichjudicial_dunning - Gerichtliches Mahnverfahrenforeclosure - Zwangsvollstreckunglong_term_monitoring - In Langzeitüberwachungended - Beendetextrajudicial, judicial_dunning, foreclosure, long_term_monitoring, ended in_progress - Laufendpaused - Pausiertcanceled_by_client - Abgebrochen durch Mandantcanceled_by_service_provider - Abgebrochen durch unsended - Beendetin_progress, paused, canceled_by_client, canceled_by_service_provider, ended unpaid - Unbezahltpartially_paid - Teilweise bezahltfully_paid - Voll bezahltunpaid, partially_paid, fully_paid The legal claim balance of the mandate ("Forderungsstand").
Show child attributes
The balance of the interest-bearing costs.
Show child attributes
A string representation of a positive integer or decimal with two decimal places.
The three-character currency code (ISO-4217).
EUR - EuroUSD - US DollarEUR, USD The balance of the interest-free costs.
Show child attributes
A string representation of a positive integer or decimal with two decimal places.
The three-character currency code (ISO-4217).
EUR - EuroUSD - US DollarEUR, USD The balance of the interest on the costs.
Show child attributes
A string representation of a positive integer or decimal with two decimal places.
The three-character currency code (ISO-4217).
EUR - EuroUSD - US DollarEUR, USD The balance of the interest on the principal claim.
Show child attributes
A string representation of a positive integer or decimal with two decimal places.
The three-character currency code (ISO-4217).
EUR - EuroUSD - US DollarEUR, USD The balance of the principal claim.
Show child attributes
A string representation of a positive integer or decimal with two decimal places.
The three-character currency code (ISO-4217).
EUR - EuroUSD - US DollarEUR, USD The current total balance of the legal claim.
Show child attributes
The legal claim of costs interest bearing.
Show child attributes
A string representation of a positive integer or decimal with two decimal places.
The three-character currency code (ISO-4217).
EUR - EuroUSD - US DollarEUR, USD The legal claim of interest free costs.
Show child attributes
A string representation of a positive integer or decimal with two decimal places.
The three-character currency code (ISO-4217).
EUR - EuroUSD - US DollarEUR, USD The legal claim of interests on costs.
Show child attributes
A string representation of a positive integer or decimal with two decimal places.
The three-character currency code (ISO-4217).
EUR - EuroUSD - US DollarEUR, USD The legal claim of interests on principal claim.
Show child attributes
A string representation of a positive integer or decimal with two decimal places.
The three-character currency code (ISO-4217).
EUR - EuroUSD - US DollarEUR, USD The legal claim of principal claim.
Show child attributes
A string representation of a positive integer or decimal with two decimal places.
The three-character currency code (ISO-4217).
EUR - EuroUSD - US DollarEUR, USD The total amount of the legal claim.
Show child attributes
A string representation of a positive integer or decimal with two decimal places.
The three-character currency code (ISO-4217).
EUR - EuroUSD - US DollarEUR, USD The debtor's payment on interest-bearing costs.
Show child attributes
A string representation of a positive integer or decimal with two decimal places.
The three-character currency code (ISO-4217).
EUR - EuroUSD - US DollarEUR, USD The debtor's payment on interest-free costs.
Show child attributes
A string representation of a positive integer or decimal with two decimal places.
The three-character currency code (ISO-4217).
EUR - EuroUSD - US DollarEUR, USD The debtor's payment on interests on costs.
Show child attributes
A string representation of a positive integer or decimal with two decimal places.
The three-character currency code (ISO-4217).
EUR - EuroUSD - US DollarEUR, USD The debtor's payment on the principal claim's interest.
Show child attributes
A string representation of a positive integer or decimal with two decimal places.
The three-character currency code (ISO-4217).
EUR - EuroUSD - US DollarEUR, USD The debtor's payment on the principal claim.
Show child attributes
A string representation of a positive integer or decimal with two decimal places.
The three-character currency code (ISO-4217).
EUR - EuroUSD - US DollarEUR, USD The total of payments on the legal claim.
Show child attributes
Show child attributes
extrajudicial - Außergerichtlichjudicial_dunning - Gerichtliches Mahnverfahrenforeclosure - Zwangsvollstreckunglong_term_monitoring - In Langzeitüberwachungended - Beendetextrajudicial, judicial_dunning, foreclosure, long_term_monitoring, ended in_progress - Laufendpaused - Pausiertcanceled_by_client - Abgebrochen durch Mandantcanceled_by_service_provider - Abgebrochen durch unsended - Beendetin_progress, paused, canceled_by_client, canceled_by_service_provider, ended List of file attachments with metadata and download URLs.
Show child attributes
Unique UUID identifier of the file attachment
Original filename of the attachment
MIME type of the file (e.g., application/pdf, image/jpeg)
File size in bytes
Secure download URL for the file
Summary of requests to client (questions from paywise that require your response).
Show child attributes
Show child attributes
Our case file reference number ("Aktenzeichen").
Note: Usually a mandate bears only one reference number. But there are edge cases where a mandate is assigned multiple reference numbers. If a new reference number is added to the mandate, this field is overwritten with the new reference number. This previous reference number is then added to the array of further_reference_numbers. See field below.
If a mandate bears multiple reference numbers, the most recent one is saved in reference_number above. All others will be placed here.
200